/*
 * ReadAdc.h
 *
 * Created: 26.12.2012 13:11:56
 *  Author: Nuckey
 */ 


#ifndef READADC_H_
#define READADC_H_

#ifdef __cplusplus
extern "C" {
#endif

unsigned int ReadADC(uint8_t mux);		// read Routine for ADC
unsigned int W5msReadADC(uint8_t mux);		// wait 5ms and read than ADC
unsigned int W10msReadADC(uint8_t mux);		// wait 10ms and read than ADC
unsigned int W20msReadADC(uint8_t mux);		// wait 20ms and read then ADC

 struct ADCconfig_t
 {
	 uint8_t Samples;		// number of ADC samples to take
	 uint8_t RefFlag;		// save Reference type VCC of IntRef
	 uint16_t U_Bandgap;		// Reference Voltage in mV
	 uint16_t U_AVCC;		// Voltage of AVCC
 }ADCconfig;


extern struct ADCconfig_t ADCconfig;


#ifdef __cplusplus
}
#endif



#endif /* READADC_H_ */